# $Revision: 1.25 $, $Date: 2011/10/02 10:56:35 $
# TODO:
# - revise split (e.g. which data should go to -tools)
#
Summary:	A library for easy access to smart cards (chipcards)
Summary(pl.UTF-8):	Biblioteka łatwego dostępu do kart procesorowych
Name:		libchipcard
Version:	5.0.2
Release:	2
License:	LGPL v2.1 with OpenSSL linking exception
Group:		Libraries
# http://www2.aquamaniac.de/sites/download/packages.php
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	3988200f784f9d9b155bd32b94534d27
Patch0:		%{name}-visibility.patch
URL:		http://www.libchipcard.de/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	gwenhywfar-devel >= 4.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pcsc-lite-devel >= 1.6.2
BuildRequires:	pkgconfig
BuildRequires:	which
BuildRequires:	zlib-devel
Requires:	gwenhywfar >= 4.0.0
Obsoletes:	libchipcard-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libchipcard allows easy access to smart cards. It provides basic
access to memory and processor cards and has special support for
German medical cards, German "GeldKarte" and HBCI (homebanking) cards
(both type 0 and type 1). It accesses the readers via CTAPI or IFD
interfaces and has successfully been tested with Towitoko, Kobil, SCM,
Orga, Omnikey and Reiner-SCT readers.

%description -l pl.UTF-8
libchipcard pozwala na łatwy dostęp do kart procesorowych. Daje
podstawowy dostęp do kart pamięciowych i procesorowych, ma także
specjalną obsługę niemieckich kart medycznych, niemieckich kart
"GeldKarte" oraz kart HBCI (do homebankingu, zarówno typu 0 jak i 1).
Z czytnikami komunikuje się poprzez interfejs CTAPI lub IFD, była
testowana z czytnikami Towitoko, Kobil, SCM, Orga, Omnikey i
Reiner-SCT.

%package devel
Summary:	Header files for libchipcard
Summary(pl.UTF-8):	Pliki nagłówkowe libchipcard
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gwenhywfar-devel >= 4.0.0
Requires:	pcsc-lite-devel >= 1.6.2
Requires:	zlib-devel

%description devel
This package contains libchipcard-config and header files for writing
programs using LibChipCard.

%description devel -l pl.UTF-8
Ten pakiet zawiera libchipcard-config oraz pliki nagłówkowe do
tworzenia programów używających LibChipCard.

%package tools
Summary:	Terminal tools and daemons for libchipcard
Summary(pl.UTF-8):	Narzędzia terminalowe i demony dla libchipcard
Group:		Applications
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description tools
This package contains the terminal tools and daemons for libchipcard.
The most important daemon here is chipcardd which is needed to access
local card readers.

%description tools -l pl.UTF-8
Ten pakiet zawiera narzędzia terminalowe oraz demony dla libchipcard,
w tym najważniejszego demona, chipcardd, potrzebnego do dostępu do
lokalnych czytników kart.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--with-init-script-dir=/etc/rc.d/init.d \
	--with-pcsc-libs=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/chipcard/chipcardc.conf{.default,}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gwenhywfar/plugins/*/ct/*.la \
	$RPM_BUILD_ROOT%{_sysconfdir}/chipcard/chipcardc.conf.example \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/{CERTIFICATES,CONFIG,IPCCOMMANDS} etc/*.conf.*
%attr(755,root,root) %{_libdir}/libchipcard.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchipcard.so.6
%dir %{_datadir}/chipcard
%dir %{_datadir}/chipcard/drivers
%{_datadir}/chipcard/drivers/*.xml
%dir %{_datadir}/chipcard/apps
%dir %{_datadir}/chipcard/cards
%{_datadir}/chipcard/apps/*.xml
%{_datadir}/chipcard/cards/*.xml
%dir %{_datadir}/chipcard/cards/cyberjack_pcsc
%{_datadir}/chipcard/cards/cyberjack_pcsc/*.xml
%dir %{_datadir}/chipcard/cards/generic_pcsc
%{_datadir}/chipcard/cards/generic_pcsc/*.xml
%attr(755,root,root) %{_libdir}/gwenhywfar/plugins/*/ct/*.so*
%{_libdir}/gwenhywfar/plugins/*/ct/*.xml
# used by libchipcardc
%dir %{_sysconfdir}/chipcard
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/chipcard/chipcardc.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/chipcard-config
%attr(755,root,root) %{_libdir}/libchipcard.so
%{_includedir}/libchipcard5
%{_aclocaldir}/chipcard.m4

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cardcommander
%attr(755,root,root) %{_bindir}/chipcard-tool
%attr(755,root,root) %{_bindir}/geldkarte
%attr(755,root,root) %{_bindir}/kvkcard
%attr(755,root,root) %{_bindir}/memcard

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libchipcard.spec,v $
Revision 1.25  2011/10/02 10:56:35  arekm
- release 2

Revision 1.24  2011/09/22 08:05:07  lisu
- updated to 5.0.2
- merged with DEVEL
- -pcsc.patch is obsoleted

Revision 1.23  2011/05/13 17:25:41  qboosh
- updated BRs and -devel deps

Revision 1.22  2011/03/03 19:34:17  wiget
- removed obsoleted bconds (hal and sysfsutils not used anymore)
- use %{__rm} macro
- drop libtool file

Revision 1.21  2011/01/24 02:05:45  sparky
- BR: which

Revision 1.20.2.1  2010/11/16 10:58:32  lisu
- updated to 5.0.1test version

Revision 1.20  2010/09/13 14:24:19  lisu
- add %%{_sysconfdir}/chipcard
- release 4

Revision 1.19  2010/09/03 13:48:17  lisu
- remove %%post and %%preun chkconfig operations
- rel 3

Revision 1.18  2010/09/03 13:40:59  lisu
- --with-pcsc-libs

Revision 1.17  2010/09/03 13:33:44  lisu
- updated to 5.0.0
- fix build with pcsc-lite >= 1.6.2 (patch)
- no server files anymore
- changes in %%files

Revision 1.16  2010/09/03 12:23:22  lisu
- rel 2

Revision 1.15  2009/08/03 21:12:06  wiget
- updated to 4.2.8

Revision 1.14  2008/05/31 15:08:12  arekm
- 4.1.0

Revision 1.13  2007-12-28 22:44:35  wolvverine
- rel.0.2

Revision 1.12  2007-12-18 23:23:33  qboosh
- updated to 4.0.0 (partially based on libchipcard3, back to original package name)
- added visibility patch, removed obsolete am18,etc patches

Revision 1.11  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.9  2006/11/09 20:39:45  glen
- strict internal deps

Revision 1.8  2006/04/16 21:53:53  glen
- fix chkconfig, rc-scripts deps

Revision 1.7  2005/12/13 11:54:17  glen
- adalterized (sorted %verify flags)

Revision 1.6  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.5  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.4  2003/12/30 13:17:04  qboosh
- added am18 patch, release 2

Revision 1.3  2003/06/27 15:14:29  qboosh
- added etc patch, moved configs to /etc

Revision 1.2  2003/06/26 13:56:39  qboosh
- md5

Revision 1.1  2003/06/26 13:54:39  qboosh
- new
